AOH :: ISNQ5100.HTM

Skype Flaw Turns Videos Into Weapons




Skype Flaw Turns Videos Into Weapons
Skype Flaw Turns Videos Into Weapons



http://www.pcworld.com/article/id,141497-c,webtelephonyconferencing/article.html 

By Robert McMillan 
IDG News Service
January 18, 2008

A programming error in eBay's Skype communications software could give 
cyber-criminals a new way to sneak their malicious software onto a 
victim's PC.

The flaw, which was reported Thursday by security researcher Aviv Raff, 
has to do with the way that Skype makes use of a Windows Internet 
Explorer component to render HTML. Because Skype does not apply strict 
security controls to the software, an attacker could run scripting code 
on the victim's system in a dangerous fashion and ultimately install 
malicious software.

The problem is that Skype runs the IE component with the less 
locked-down "Local Zone" security setting. Because of this attackers are 
able to do "all sorts of things... [such as] reading/writing files from 
the local disc and launching executables," wrote security researcher 
Petko Petkov, in a Thursday blog post about the issue.

For an attack to work, the bad guys would first need to find a 
trustworthy Web site that contained a common programming flaw called a 
cross-zone scripting error. This bug would give them a way to trick 
Skype into running their malicious script as if it came from a trusted 
Web site.

In a video posted to his blog, Raff showed how a cross-zone scripting 
flaw on the Dailymotion.com Web site could be exploited to launch the 
calculator program in Windows, using Skype's "Add video to chat" 
feature.

"The user simply needs to visit DailyMotion via Skype's 'Add video to 
chat' button and stumble upon a move which contains the cross-site 
scripting vector," Petkov wrote.

Worse, attackers could flood the site with maliciously encoded 
advertisements in order to boost their likelihood of infecting a victim, 
he said. "This type of attack is very easy to pull and it requires 
almost zero preparation."

The flaw affects the latest version of Skype -- version 3.6.0.244 -- 
Raff said. Older versions of the software may also be at risk. "Until 
the Skype guys fix this vulnerability, I recommend that you stop 
searching for videos in Skype," he wrote.

Skype representatives could not be reached immediately for comment.


___________________________________________________      
Subscribe to InfoSec News
http://www.infosecnews.org/mailman/listinfo/isn 

Site design & layout copyright © 1986-2014 CodeGods